/**
 * Roundcube webmail styles for the Settings section
 *
 * Copyright (c) 2012, The Roundcube Dev Team
 * Screendesign by FLINT / Büro für Gestaltung, bueroflint.com
 *
 * The contents are subject to the Creative Commons Attribution-ShareAlike
 * License. It is allowed to copy, distribute, transmit and to adapt the work
 * by keeping credits to the original autors in the README file.
 * See http://creativecommons.org/licenses/by-sa/3.0/ for details.
 */

#settings-sections {
	position: absolute;
	top: 0;
	left: 0;
	width: 200px;
	bottom: 0;
}

#pluginbody,
#settings-right {
	position: absolute;
	top: 0;
	left: 212px;
	right: 0;
	bottom: 0;
}

#sectionslist {
	position: absolute;
	top: 0;
	left: 0;
	width: 260px;
	bottom: 0;
}

#preferences-box {
	position: absolute;
	top: 0;
	left: 272px;
	right: 0;
	bottom: 0;
}

#preferences-frame {
	border: 0;
	border-radius: 4px 4px 0 0;
}

#preferences-details fieldset.advanced legend {
	position: relative;
	display: block;
	width: 100%;
	cursor: pointer;
}

#preferences-details fieldset.advanced .propform {
	display: none;
}

#preferences-details fieldset.advanced .advanced-toggle {
	position: absolute;
	display: block;
	top: 0px;
	right: 6px;
	text-decoration: none;
	color: #666;
	font-size: 11px;
	width: 20px;
	height: 18px;
	background: url('images/listicons.png') 0 -1157px no-repeat;
	text-indent: 1000px;
	overflow: hidden;
}

#preferences-details fieldset.advanced .collapsed .advanced-toggle {
	background-position: -24px -1137px;
}

#sections-table tbody td.section,
#settings-sections span.listitem a,
#settings-sections span.tablink a {
	padding-left: 36px;
	background-image: url(images/listicons.png);
	background-position: -100px 0;
	background-repeat: no-repeat;
}

/* note: support span.tablink because this is used by plugins */
#settings-sections span.listitem a,
#settings-sections span.tablink a {
	background-position: 6px -862px;
}

#settings-sections span.selected a,
#settings-sections span.tablink.selected a {
	background-position: 6px -887px;
}

#settings-sections span.preferences a {
	background-position: 6px -431px;
}

#settings-sections span.preferences.selected a {
	background-position: 6px -455px;
}

#settings-sections span.folders a,
#sections-table #rcmrowfolders td.section {
	background-position: 6px 2px;
}

#settings-sections span.folders.selected a,
#sections-table #rcmrowfolders.selected td.section {
	background-position: 6px -22px;
}

#settings-sections span.identities a {
	background-position: 6px -478px;
}

#settings-sections span.identities.selected a {
	background-position: 6px -502px;
}

#settings-sections span.filter a {
	background-position: 6px -1746px;
}

#settings-sections span.filter.selected a {
	background-position: 6px -1770px;
}

#settings-sections span.password a {
	background-position: 6px -1795px;
}

#settings-sections span.password.selected a {
	background-position: 6px -1819px;
}

#settings-sections span.responses a {
	background-position: 6px -1972px;
}

#settings-sections span.responses.selected a {
	background-position: 6px -1996px;
}

#sections-table #rcmrowgeneral td.section {
	background-position: 6px -573px;
}

#sections-table #rcmrowgeneral.selected td.section {
	background-position: 6px -598px;
}

#sections-table #rcmrowmailbox td.section {
	background-position: 6px -621px;
}

#sections-table #rcmrowmailbox.selected td.section {
	background-position: 6px -646px;
}

#sections-table #rcmrowcompose td.section {
	background-position: 6px -670px;
}

#sections-table #rcmrowcompose.selected td.section {
	background-position: 6px -695px;
}

#sections-table #rcmrowmailview td.section {
	background-position: 6px -718px;
}

#sections-table #rcmrowmailview.selected td.section {
	background-position: 6px -742px;
}

#sections-table #rcmrowaddressbook td.section {
	background-position: 6px -766px;
}

#sections-table #rcmrowaddressbook.selected td.section {
	background-position: 6px -791px;
}

#sections-table #rcmrowserver td.section {
	background-position: 6px -814px;
}

#sections-table #rcmrowserver.selected td.section {
	background-position: 6px -838px;
}

#sections-table #rcmrowcalendar td.section {
	background-position: 6px -526px;
}

#sections-table #rcmrowcalendar.selected td.section {
	background-position: 6px -550px;
}

#folderslist,
#identitieslist {
	position: absolute;
	top: 0;
	left: 0;
	width: 260px;
	bottom: 0;
}

#identities-table {
	width: 100%;
	table-layout: fixed;
}

#identities-table tbody td.mail {
	width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
}

#identities-table tbody tr.readonly td {
	font-style: italic;
}

#folder-details,
#identity-details {
	position: absolute;
	top: 0;
	left: 272px;
	right: 0;
	bottom: 0;
}

#subscription-table {
	table-layout: fixed;
}

#subscription-table tr.root td {
	font-size: 5%;
	height: 5px;
	padding: 2px;
}

#subscription-table td.name {
	width: 85%;
	overflow: hidden;
	text-overflow: ellipsis;
}

#subscription-table td.subscribed {
	min-width: 30px;
	padding: 3px 12px 3px 3px;
	text-align: right;
}

.skinselection {
	display: block;
}

.skinselection span {
	display: inline-block;
	vertical-align: middle;
	padding-right: 1em;
}

.skinselection .skinname {
	font-weight: bold;
}

.skinselection .skinlicense,
.skinselection .skinlicense a {
	font-style: italic;
	color: #666;
	text-decoration: none;
}

.skinselection .skinlicense a:hover {
	text-decoration: underline;
}

img.skinthumbnail {
	width: 64px;
	height: 64px;
	border: 1px solid #ccc;
	background: #fff;
	border-radius: 4px;
}

#pluginlist td.version {
	width: 5em;
}

.webkit #pluginlist td.version {
	width: 6em;
}

#pluginlist td.license,
#pluginlist td.source {
	width: 8em;
}

.webkit #pluginlist td.license,
.webkit #pluginlist td.source {
	width: 9em;
}

#rcmfd_signature {
	width: 99%;
	min-width: 390px;
	font-family: monospace;
}

#rcmfd_signature_toolbar1 td,
#rcmfd_signature_toolbar2 td {
	width: auto;
}

.mailtoprotohandler-status {
	padding-left: 1em;
	font-style: italic;
}
